Bug 1045181 - Rename files and directory : invisible field
Summary: Rename files and directory : invisible field
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nemo
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-19 19:44 UTC by Adrien D
Modified: 2014-01-13 03:00 UTC (History)
5 users (show)

Fixed In Version: nemo-2.0.8-6.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-08 07:48:02 UTC


Attachments (Terms of Use)
Bug in list view (143.41 KB, image/png)
2013-12-19 19:50 UTC, Adrien D
no flags Details
Bug in compact view (112.12 KB, image/png)
2013-12-19 19:50 UTC, Adrien D
no flags Details
Illustrate the problem with nemo-2.0.8-4 (120.59 KB, image/png)
2013-12-28 14:02 UTC, Adrien D
no flags Details
File "120" renamed without scroll the view. (109.58 KB, image/png)
2013-12-28 14:30 UTC, Adrien D
no flags Details
File "120" renamed but I have scrolled the view. (108.50 KB, image/png)
2013-12-28 14:31 UTC, Adrien D
no flags Details
Illustrate the problem with Adwaita Theme (113.49 KB, image/png)
2014-01-01 10:14 UTC, Adrien D
no flags Details

Description Adrien D 2013-12-19 19:44:58 UTC
Description of problem:
if you try to rename a file which is out of the window view (in other words you have to use the scroll bars to reach it), the rename edit-field will be invisible

It's possible to rename them in "list view" but in comact view, it's impossible

Version-Release number of selected component (if applicable):
nemo-2.0.8-1.fc20.x86_64

How reproducible:


1. open a folder with so many files that you have to use the scroll bars
2. try to rename a file which you have to scroll down in order to display it

Actual results:

you will get an invisible edit-field


Expected results:


Additional info:
It's the same bug that https://bugzilla.redhat.com/show_bug.cgi?id=1020894 , applied for nemo

Comment 1 Adrien D 2013-12-19 19:50:30 UTC
Created attachment 839231 [details]
Bug in list view

Comment 2 Adrien D 2013-12-19 19:50:55 UTC
Created attachment 839232 [details]
Bug in compact view

Comment 3 leigh scott 2013-12-19 20:12:57 UTC
I will push a fixed build soon.

https://github.com/linuxmint/nemo/commit/f54c1ed253e266ae947c5e51698583654fb61084

Comment 4 Adrien D 2013-12-19 20:17:39 UTC
yeah thanks !

Comment 5 Fedora Update System 2013-12-23 10:10:40 UTC
nemo-2.0.8-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nemo-2.0.8-4.fc20

Comment 6 Fedora Update System 2013-12-23 10:12:03 UTC
cinnamon-desktop-2.0.4-1.fc19, cinnamon-settings-daemon-2.0.8-1.fc19, muffin-2.0.5-1.fc19, cinnamon-control-center-2.0.9-1.fc19, cinnamon-2.0.14-4.fc19, nemo-2.0.8-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-22078/cinnamon-desktop-2.0.4-1.fc19,cinnamon-settings-daemon-2.0.8-1.fc19,cinnamon-2.0.14-4.fc19,nemo-2.0.8-4.fc19,muffin-2.0.5-1.fc19,cinnamon-control-center-2.0.9-1.fc19

Comment 7 Fedora Update System 2013-12-24 03:36:49 UTC
Package nemo-2.0.8-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nemo-2.0.8-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23894/nemo-2.0.8-4.fc20
then log in and leave karma (feedback).

Comment 8 Adrien D 2013-12-24 08:04:11 UTC
I leave a karma, your bugfix dosen't work for me.

I have the same problem.

Comment 9 Adrien D 2013-12-28 14:02:23 UTC
Created attachment 842637 [details]
Illustrate the problem with nemo-2.0.8-4

Comment 10 Adrien D 2013-12-28 14:30:05 UTC
Humm, I have additional info.

For the same file, I have two different things.

I will attach 2 screenshots.

The first, I try to rename the file named "120" without scroll the view in nemo : OK
The second, I try to rename the same file "120" but I scroll the view : The field is invisible....

Comment 11 Adrien D 2013-12-28 14:30:45 UTC
Created attachment 842638 [details]
File "120" renamed without scroll the view.

Comment 12 Adrien D 2013-12-28 14:31:24 UTC
Created attachment 842640 [details]
File "120" renamed but I have scrolled the view.

Comment 13 leigh scott 2013-12-28 21:47:45 UTC
I can reproduce the scroll issue :-(

Comment 14 Adrien D 2013-12-28 22:59:12 UTC
(In reply to leigh scott from comment #13)
> I can reproduce the scroll issue :-(

I don't understand. 

You write : "I can" but you draw ":-(" 

You can or you can't ?

Comment 15 Fedora Update System 2013-12-31 19:01:23 UTC
nemo-2.0.8-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 leigh scott 2013-12-31 19:10:52 UTC
Upstream will need to fix the remaining issues.

Comment 17 leigh scott 2013-12-31 20:32:14 UTC
(In reply to leigh scott from comment #16)
> Upstream will need to fix the remaining issues.

Swapping theme to adwaita for controls in cinnamon-settings seems to fix the issue.
reassigning to zukitwo

Comment 18 Adrien D 2014-01-01 10:13:42 UTC
No, with Adwaita Theme, I have the same problem...

Comment 19 Adrien D 2014-01-01 10:14:22 UTC
Created attachment 844079 [details]
Illustrate the problem with Adwaita Theme

Comment 20 Fedora Update System 2014-01-02 09:31:09 UTC
nemo-2.0.8-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nemo-2.0.8-5.fc20

Comment 21 Fedora Update System 2014-01-03 08:46:10 UTC
Package nemo-2.0.8-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nemo-2.0.8-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0107/nemo-2.0.8-6.fc20
then log in and leave karma (feedback).

Comment 22 Adrien D 2014-01-03 17:35:56 UTC
Yes, it works :)

Comment 23 Adrien D 2014-01-03 20:08:28 UTC
I said that it works with the two themes (Adwaita and Zukitwo)

Comment 24 Fedora Update System 2014-01-08 07:48:02 UTC
cinnamon-desktop-2.0.4-1.fc19, cinnamon-settings-daemon-2.0.8-1.fc19, muffin-2.0.5-1.fc19, cinnamon-2.0.14-4.fc19, nemo-2.0.8-6.fc19, cinnamon-control-center-2.0.9-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2014-01-13 03:00:30 UTC
nemo-2.0.8-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.